package com.bocloud.cmp.model.azure.slb;

/**
 * @ClassName: inboundNatPoolModel
 * @Description:
 * @author: zhenpingLi/李振平
 */
public class InboundNatPoolModel {

    private String uuid;
    private String name;
    private Integer frontendPortRangeEnd;
    private Integer frontendPortRangeStart;
    private Integer backendPort;
    private String protocol;
    private String slbUuid;//负载均衡uuid

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getFrontendPortRangeEnd() {
        return frontendPortRangeEnd;
    }

    public void setFrontendPortRangeEnd(Integer frontendPortRangeEnd) {
        this.frontendPortRangeEnd = frontendPortRangeEnd;
    }

    public Integer getFrontendPortRangeStart() {
        return frontendPortRangeStart;
    }

    public void setFrontendPortRangeStart(Integer frontendPortRangeStart) {
        this.frontendPortRangeStart = frontendPortRangeStart;
    }

    public Integer getBackendPort() {
        return backendPort;
    }

    public void setBackendPort(Integer backendPort) {
        this.backendPort = backendPort;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getSlbUuid() {
        return slbUuid;
    }

    public void setSlbUuid(String slbUuid) {
        this.slbUuid = slbUuid;
    }
}